---
title: List
url: https://www.tines.com/docs/api/admin/users/list/
updated: 2026-04-09T14:16:44+00:00
description: Retrieve a list of users from the Tines tenant.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Users](https://www.tines.com/llm/docs/api/admin/users.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/admin/users/list/)*

## Description

Retrieve a list of users from the Tines tenant.

## Request

HTTP Method: **GET**

| Query Parameter | Description                                                                                         |
| --------------- | --------------------------------------------------------------------------------------------------- |
| per_page        | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page            | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |
| filter          | **Optional** Filter: `TENANT_OWNER`                                                                 |
| include         | **Optional** Include: `team_memberships`                                                            |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/admin/users \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON Array of users in the Tines tenant.

### Field description

| Parameter          | Description                                                       |
| ------------------ | ----------------------------------------------------------------- |
| id                 | User ID.                                                          |
| scim_uid           | SCIM User ID.                                                     |
| email              | User email.                                                       |
| admin              | Boolean flag indicating whether user is an admin.                 |
| tenant_permissions | Array of tenant permission names.                                 |
| is_active          | Boolean flag indicating whether user is active.                   |
| created_at         | Timestamp describing when the user was created.                   |
| updated_at         | Timestamp describing when the user was last updated.              |
| first_name         | User first name.                                                  |
| last_name          | User last name.                                                   |
| last_seen          | Timestamp describing when the user was last seen in the platform. |

If `?include=team_memberships` is included, a successful response will include the following JSON array for each User:

| Parameter | Description               |
| --------- | ------------------------- |
| team_id   | Team ID.                  |
| team_name | Team name.                |
| role      | User's role in this team. |

### Sample response

<!-- cspell:disable -->

```json
{
  "admin/users": [
    {
      "id": 2,
      "scim_uid": null,
      "email": "alice@tines.xyz",
      "created_at": "2019-07-08T14:16:11.967Z",
      "updated_at": "2019-10-31T21:40:52.682Z",
      "admin": false,
      "is_active": true,
      "first_name": "Alice",
      "last_name": "Smith",
      "last_seen": "2019-10-31T21:40:42.000Z",
      "tenant_permissions": ["AUDIT_LOG_READ"]
    },
    {
      "id": 3,
      "scim_uid": null,
      "email": "joe@tines.xyz",
      "created_at": "2019-09-11T14:46:37.880Z",
      "updated_at": "2019-09-27T20:45:46.527Z",
      "admin": false,
      "is_active": true,
      "first_name": "Joe",
      "last_name": "Bloggs",
      "last_seen": "2019-09-27T20:45:46.000Z",
      "tenant_permissions": []
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/admin/users?page=1&per_page=20",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 2
  }
}
```

Or, if `?include=team_memberships` is included in the request:

```json
{
  "admin/users": [
    {
      ...,
      "team_memberships": [
        { "team_id": 7, "team_name": "Security Ops", "role": "EDITOR" },
        { "team_id": 12, "team_name": "IR Cases", "role": "CASE_MANAGER" }
      ]
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/admin/users?page=1&per_page=20",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 2
  }
}
```

<!-- cspell:enable -->
